### Type parameters

- #### D

### Hierarchy

- AttributeFilterDef<D>
- BaseDataFilter<D>
  - AttributeFilter

## Index

### Properties

- collationOptions
- op
- value

### Methods

- filter

## Properties

### Optional collationOptions

collationOptions?: { sensitivity?: "base" | "accent" | "case" | "variant" }

Inherited from AttributeFilterDef.collationOptions

#### Type declaration

- ##### Optional sensitivity?: "base" | "accent" | "case" | "variant"

### op

op: AttributeOperator

Inherited from AttributeFilterDef.op

### value

value: any

Inherited from AttributeFilterDef.value

## Methods

### filter

- filter(item: D, index?: number, array?: D[]): boolean

- Inherited from BaseDataFilter.filter

  #### Parameters

  - ##### item: D

  - ##### Optional index: number

  - ##### Optional array: D[]

  #### Returns boolean

Generated using TypeDoc